/* Custom hero (Locations Page)
 * Applied only when ACF field hero.custom_hero is enabled.
 */

:root {
	/* Update this in CSS to change the custom hero background */
	--keystone-custom-hero-bg-image: url("../assets/img/hero/Hero-Background.png");
	--keystone-mobile-hero-bg-image: url("../assets/img/hero/Mobile-HeroSection-Background.jpg");
}

.entry-header-wrapper.custom-hero {
	background-image: var(--keystone-custom-hero-bg-image);
	background-position: center center;
	background-size: cover;
	background-repeat: no-repeat;
    min-height: 285px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
}
.entry-header-wrapper.custom-hero h1{
    font-size: 4rem;
    text-transform: capitalize;
    font-weight: 700;
}
.entry-header-wrapper.custom-hero .pg-hero-overlay{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0;
    background-color: transparent;
}
.entry-header-wrapper.custom-hero .entry-title,
.entry-header-wrapper.custom-hero .hero-text{
    color: #ffffff;
    text-align: center;
    line-height: 1.2;
}
.entry-header-wrapper.custom-hero .hero-text{
    padding: 30px 30px;
    border-radius: 10px;
    background-color: #91003799;
    position: relative;
    z-index: 2;
}
.entry-header-wrapper.custom-hero .hero-text a,
.entry-header-wrapper.custom-hero .hero-text a:active,
.entry-header-wrapper.custom-hero .hero-text a:focus,
.entry-header-wrapper.custom-hero .hero-text a:hover{
    color: #ffffff;
    text-decoration: underline;
}
.entry-header-wrapper.custom-hero .hero-text h4,
.entry-header-wrapper.custom-hero .hero-text p{
    margin: 0;
}
.hero-images{
    position: absolute;
    margin: auto;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
.hero-images img{
    margin: auto 0;
}
.hero-images img:nth-of-type(1){
    width: 32vw;
    margin-left: 20px;
}
.hero-images img:nth-of-type(2){
    width: 28vw;
    margin-right: 30px;
}
@media screen and (max-width:1400px) {
   .hero-images img:nth-of-type(1){
        width: 27vw;
        margin-left: 20px;
    }
    .hero-images img:nth-of-type(2){
        width: 26vw;
        margin-right: 30px;
    } 
}
@media screen and (max-width:1024px) {
    .entry-header-wrapper.custom-hero{
        min-height: 800px;
    }
    .entry-header-wrapper.custom-hero .pg-hero-overlay .entry-header{
        margin-bottom: 65px;
    }
    .hero-images{
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }
   .hero-images img:nth-of-type(1){
        width: 500px;
        margin: 25px 0 auto;
    }
    .hero-images img:nth-of-type(2){
        width: 500px;
        margin: 0 auto 15px;
    } 
}
@media screen and (max-width:768px) {
    .entry-header-wrapper.custom-hero {
        min-height: 460px;
        justify-content: flex-end;
    }

    .hero-images img:nth-of-type(2){
        display: none;
    }
    .entry-header-wrapper.custom-hero .pg-hero-overlay .entry-header{
        margin: 0 10px 30px;
    }
}
@media screen and (max-width:480px) {
    .entry-header-wrapper.custom-hero .pg-hero-overlay .entry-header{
        display: flex;
        flex-direction: column;
    }
    .entry-header-wrapper.custom-hero {
        min-height: 455px;
    }
    .entry-header-wrapper.custom-hero .entry-title{
        margin: 0.3em auto 16px; 
    }
    .entry-header-wrapper.custom-hero .hero-text{
        max-width: 345px;
        margin: 0 auto;
    }
    .entry-header-wrapper.custom-hero .hero-images{
        position: relative;
        order: -1;
    }
    .hero-images img:nth-of-type(1){
        max-width: 345px;
    }
    .entry-header-wrapper.custom-hero .hero-text *{
        font-size: 1.8rem;
    }
    .entry-header-wrapper.custom-hero h1{
        font-size: 4rem;
        max-width: 260px;
    }
}
 
